Bug 1122224 - Review Request: nodejs-get-uri - Returns a stream.Readable from a URI string
Summary: Review Request: nodejs-get-uri - Returns a stream.Readable from a URI string
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122217 1122221 1122222 1122223 1122233
Blocks: nodejs-reviews 1122228
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 20:39:18 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:50 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-get-uri.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-get-uri-0.1.3-1.fc20.src.rpm

Description:
This high-level module accepts a URI string and returns a `Readable` stream
instance. There is built-in support for a variety of "protocols", and it's
easily extensible with more:

Comment 1 Parag AN(पराग) 2014-07-25 17:05:42 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-get-uri.noarch: W: only-non-binary-in-usr-lib
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/ftp /usr/lib/node_modules/ftp
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/data-uri-to-buffer /usr/lib/node_modules/data-uri-to-buffer
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/extend /usr/lib/node_modules/extend
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/file-uri-to-path /usr/lib/node_modules/file-uri-to-path
nodejs-get-uri.noarch: W: dangling-symlink /usr/lib/node_modules/get-uri/node_modules/debug /usr/lib/node_modules/debug
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :8c4a80ce4fbb65aee1f9b054afd2a7dbcabc300eac08f60d8e6d0e811cba4e9c
upstream tarball :8c4a80ce4fbb65aee1f9b054afd2a7dbcabc300eac08f60d8e6d0e811cba4e9c

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-25 17:49:52 UTC
New Package SCM Request
=======================
Package Name: nodejs-get-uri
Short Description: Returns a stream.Readable from a URI string
Upstream URL: https://npmjs.org/package/get-uri
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-25 18:36:22 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-25 20:31:13 UTC
nodejs-get-uri-0.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-get-uri-0.1.3-1.fc20

Comment 5 Fedora Update System 2014-07-25 20:31:23 UTC
nodejs-get-uri-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-get-uri-0.1.3-1.fc19

Comment 6 Ralph Bean 2014-07-25 20:39:18 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:45:37 UTC
nodejs-get-uri-0.1.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:56:30 UTC
nodejs-get-uri-0.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.